summaryrefslogtreecommitdiffstats
path: root/source/a/tcsh/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/tcsh/doinst.sh')
-rw-r--r--source/a/tcsh/doinst.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/source/a/tcsh/doinst.sh b/source/a/tcsh/doinst.sh
index d351e5057..00c81536c 100644
--- a/source/a/tcsh/doinst.sh
+++ b/source/a/tcsh/doinst.sh
@@ -1,8 +1,4 @@
-if fgrep tcsh etc/shells 1> /dev/null 2> /dev/null ; then
- GOOD=y
-else
+if ! grep -q tcsh etc/shells 2> /dev/null ; then
echo "/bin/tcsh" >> etc/shells
echo "/bin/csh" >> etc/shells
fi
-( cd bin ; rm -rf csh )
-( cd bin ; ln -sf tcsh csh )